# RubocopConfig

## Installation

`gem install rubocop_default_config`

## Usage

** Generate RuboCop config **

Run `rubocop-config`

** Update .rubocop.yml to lasted release **

Run `rubocop_update`

** Update .rubocop.yml to a specified release **

Ex: Run `rubocop_update "0.51.0"`

** Update .rubocop.yml between 2 releases **

Ex: Run `rubocop_update "0.49.1" "0.51.0"`

**Note**

This gem will generates *.rubocop.yml* & *.rubocop_todo.yml* config automatically. So, you do not need to run `rubocop --auto-gen-config` .

Just run `rubocop_gen_common` if you want to generate Rubocop popular config. Then you can edit it to match your style.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).